Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10691
Description

Hi list,

I'm having a few problems with my WMS service using QGIS as client. May
be anyone has a few hints or ideas:

Using QGIS 0.8.0 on opensuse:

- a polygon layer doesn't show with transparency - even though it is
implemented in the WMS and it works with other clients, the transparency
as well is not adjustable using the properties menu (well i can change

it to 50% but it dioesn't change the view) - the transparency works very
nice, if | use the WMS-feeding postgis-service directly.

[projection on runtime is activated]

Using QGIS0.8.1preview?2 (pretty fresh installation with complete
uninstall of 0.8.1p1) on [[WinXP]]:

- while zooming in a WMS-raster or vektor layer an error message appears:
msWMSLoadGetMapParams(): WMS server error. Image size out of range,
WIDTH and HEIGHT must be between 1 and 2048 pixels.

This is probably due to a bug in the QGIS program. Please report this error.
Tried URL:

http://www.geographie.uni-freiburg.de/cgi-bin/chennai_ wms?SERVICE=WMS&#38;VERSION=1.1.0&#38;REQUEST=GetMap&#38;BB
X=80.417860,12.675728,80.602583,12.866004&#38;SRS=EPSG:4326&#38;WIDTH=3962&#38;HEIGHT=3962&#38;LAYERS=1.0.1%1

»0Resu

20Results%20Group%20Discussions&#38;STYLES=&#38;FORMAT=image/png&#38; TRANSPARENT=TRUE

- get [[Featurelnfo]] doesn't return any results using the WMS (works, if |
use the WMS-feeding postgis-service directly)

- projection on runtime is activated, but layers show up at different
places while loading the same layer via WMS and the WMS-feeding
postgis-service (the wms layer is displaced, it works using QGIS 0.8.0
On opensuse)

Any ideas, hints, solutions, explanations?

Marco
History

#1 - 2007-03-03 02:15 AM - Magnus Homann

- Status changed from Open to In Progress

So, there are three issues:

1) Transparency doesn't seem to work.
2) Zooming doesn't work

3) Get featuerinfo does not work.

Am | right in this?

Can you split this bug in three parts, perhaps? It's easier to keep track on what is fixed and what is not. We work in small increments. :-)

#2 - 2007-03-03 02:39 PM - anonymous -

| have (tried to) fix issue 2 (maybe wrong placement too?) in . Please download source, compile and see if it gets better. Many thanks for your help.

If you have svn, you can check out with

svn co https://svn.qgis.org/repos/qgis/tags/Release-0_8 0 qgis_08

and build with cmake.

#3 - 2007-03-03 02:44 PM - Magnus Homann

Above comment was me, and the correct svn path is

svn co https://svn.qgis.org/repos/qgis/branches/Release-0_8 0 qgis_08

'branches' not 'tags'

#4 - 2007-03-05 01:13 PM - Magnus Homann

Regarding 1), transparency is not supported for WMS at the moment

#5 - 2007-03-18 02:13 AM - Magnus Homann

Uninstall old versionj and install this and try. Most problems should be fixed.

http://www.qgis.org/uploadfiles/testbuilds/qgis _setup0.8.1preview3.exe

#6 - 2007-12-09 08:52 AM - Magnus Homann
- Status changed from In Progress to Closed

- Resolution set to fixed
Please let me know if there are any unsolved issues.

#7 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
